#include <stdio.h>
int main()
{
	int N,br=0,i,j;
	scanf("%d",&N);
	int x[N],y[N];
	int P;
	for(i=0;i<N;i++)
	{
		scanf("%d %d",&x[i],&y[i]);
	}
	for(i=0;i<N;i++)
	{
		for(j=i;j<N;j++)
			if(x[j]*y[j]==2*(x[i]*y[i]))
				br++;
	}
	printf("%d",br);
	return 0;
}